KDE 4.9 PyKDE API Reference

- KDE's Python API

# DeviceNotifier Class Reference

`from PyKDE4.solid import *`

Inherits: QObject
Namespace: Solid

## Detailed Description

This class allow to query the underlying system to obtain information about the hardware available.

It's the unique entry point for hardware discovery. Applications should use it to find devices, or to be notified about hardware changes.

Note that it's implemented as a singleton and encapsulates the backend logic.

Author:
  Kevin Ottens <ervin@kde.org>

## Signals

| deviceAdded (QString udi)
| deviceRemoved (QString udi)

## Static Methods

Solid.DeviceNotifier | instance ()

## Signal Documentation

deviceAdded | ( | QString | udi
| ) |  |  |

This signal is emitted when a new device appear in the underlying system.

Parameters:

  | udi | the new device UDI

Signal syntax:
  `QObject.connect(source, SIGNAL("deviceAdded(const QString&)"), target_slot)`

deviceRemoved | ( | QString | udi
| ) |  |  |

This signal is emitted when a device disappear from the underlying system.

Parameters:

  | udi | the old device UDI

Signal syntax:
  `QObject.connect(source, SIGNAL("deviceRemoved(const QString&)"), target_slot)`

## Static Method Documentation

Solid.DeviceNotifier instance | ( |  | ) |